import { Context } from 'skypager-registry'
import Helper, { attach } from '../helper'

export class DataSource extends Helper {
  static isCacheable = true

  static cacheable(setting = true) {
    return this.isCacheable = !!setting
  }

  static createRegistry = () => new Context('dataSources', {
    context: require.context('../data-sources', false, /.js$/),
  })

  static attach(project, options = {}) {
    return attach(project, DataSource, {
      registryProp: 'dataSources',
      lookupProp: 'dataSource',
      registry: options.registry || DataSource.createRegistry(),
      ...options,
    })
  }

  get source() {
    const source = this.provider.default ? this.provider.default : this.provider

    return typeof source === 'function'
      ? (options = {}) => source({...this.options, ...options}, this.context)
      : () => source
  }

  load(options = {}) {
    return Promise.resolve(this.source(options))
  }
}

export default DataSource
