/**
 * Benzinga Pro
 * Main Entry Point
 */

import 'babel-polyfill'
import styles from 'app/styles'

import React from 'react'
import { render } from 'react-dom'
import { Provider } from 'react-redux'
import { applyRouterMiddleware, Router, browserHistory } from 'react-router'
import { syncHistoryWithStore } from 'react-router-redux'
import { configureStore } from './store'

const history = syncHistoryWithStore(browserHistory, store, {
  selectLocationState: selectLocationState(),
});

const store = configureStore({}, history)

render(
  <Provider store={store}>
    <Router history={history} path="/">

    </Router>
  </Provider>
)
