const defaults = require('lodash/defaults')
const get = require('lodash/get')
const defaultEnv = require('./defaults')

const settings = {
  get development() { return require('./development') },
  get test() { return require('./test') },
  get production() { return require('./production') },
  get staging() { return require('./staging') }
}

process.env.NODE_ENV = process.env.NODE_ENV || 'development'

module.exports = defaults(
  {},
  process.env,
  get(settings, process.env.NODE_ENV),
  defaultEnv
)
