const { DllPlugin } = require('webpack')
const mapValues = require('lodash/mapValues')
const join = require('path').join
const cwd = process.cwd()
const outputPath = join(cwd, 'tmp', 'devpacks')
const dllName = process.env.DLL_NAME || 'benzinga-react'
const dll = require(join(__dirname, '..', 'devpacks', `web.${dllName}.dll.js`))
const entry = mapValues(dll, (deps, key) => deps.entry)

module.exports = () => ({
  context: process.cwd(),
  // dll bundles are defined as an object containing arrays of npm modules or as all browser compatible npm dependencies
  entry,
  devtool: 'eval',
  output: {
    filename: '[name].dll.js',
    library: '[name]',
    path: join(cwd, 'tmp', 'devpacks'),
  },
  module: {
    loaders: [{
      test: /\.json$/,
      loader: 'json',
    }],
  },
  plugins: [
    new DllPlugin({
      name: '[name]',
      path: join(outputPath, '[name].dll.json'),
    }),
  ],
});
