export function formatPlan(plan, occurrence) {
  let rate = occurrence;
  if (rate === 'annual') rate = 'yearly';

  return plan + '_' + rate;
}

export function formatBillingErrors(err) {
  if (err.type === 'card_error') {
    switch (err.code) {
    case 'invalid_number':
    case 'incorrect_number':
    case 'card_declined':
    case 'processing_error':
      return { message: err.message, type: 'number' };
    case 'invalid_cvc':
    case 'incorrect_cvc':
      return { message: err.message, type: 'cvc' };
    case 'invalid_expiry':
    case 'invalid_expiry_month':
    case 'invalid_expiry_year':
    case 'expired_card':
      return { message: err.message, type: 'expiry' };
    case 'incorrect_zip':
      return { message: err.message, type: 'zip' };
    default:
      return error;
    }
  }
  return {
    message: 'We\'re unable to process your request right now. If you continue to get this message, please call us at 1 (877) 440-9464',
    type: 'submit'
  };
}

export function expirationError() {
  const message = 'Your card\'s expiration date is invalid';
  const type = 'card_error';
  const code = 'invalid_expiry';
  const err = formatBillingErrors({message, type, code});

  return err;
}
